<!DOCTYPE html>
<html lang="en" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" layout:decorate="template">
<head>
    <meta charset="UTF-8">
    <title>Students</title>
</head>
<body>
<div layout:fragment="content1">
    <div class="container mt-3">
        <div class="card-header">List of Students</div>
        <div class="card-body">
            <form method="get" th:action="@{index}">
                <label>Keyword</label>
                <input type="text" name="keyword" th:value="${keyword}">
                <button type="submit" class="btn btn-primary">Search</button>
            </form>
            <table class="table mt-3">
                <thead>
                <tr class="text-center">
                    <th>Student Id</th>
                    <th>Student First Name</th>
                    <th>Student Last Name</th>
                    <th>Student level</th>
                </tr>
                </thead>
                <tbody>
                <tr class="text-center" th:each="student:${listStudents}">
                    <td th:text="${student.getStudentId()}"></td>
                    <td th:text="${student.getFirstName()}"></td>
                    <td th:text="${student.getLastName()}"></td>
                    <td th:text="${student.getLevel()}"></td>
                    <td>
                        <a onclick="return confirm('Are you sure')" class="btn btn-danger"
                           th:href="@{/students/delete(studentId=${student.getStudentId()}, keyword=${keyword})}">
                            Delete
                        </a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>
</body>
</html>